Bug 771476 - User information returned changed/decreased
User information returned changed/decreased
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-03 15:46 EST by Pierre-YvesChibon
Modified: 2013-01-14 18:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 18:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Python script to regenerate the behavior (537 bytes, text/x-python)
2012-01-03 15:46 EST, Pierre-YvesChibon
no flags Details

  None (edit)
Description Pierre-YvesChibon 2012-01-03 15:46:44 EST
Created attachment 550528 [details]
Python script to regenerate the behavior

Description of problem:
In the 0.6.1 (and 0.6.2) version there is a regression making the amount of information returned by the library for the author of a comment has decreased significantly.

Using this library in the fedora-active-user script I needed to access the email of the user who commented. While this is present in the 0.6.0 version it is not any more in the 0.6.2

Version:
python-bugzilla-0.6.2-2.fc16.noarch

How reproducible:
Always

Steps to Reproduce:
1. Get the python script attached
2. Run it on EL6 and F16 (or F14)
3. See the difference in the output / amount of information retrieved
  
Actual results:
From F16 (version 0.6.2) or F14 (version 0.6.1):
"""
   68 bugs assigned or cc to pingou@pingoured.fr 
Kay Sievers
Toshi
"""

From EL6 (version 0.6.0):
"""
   68 bugs assigned or cc to pingou@pingoured.fr 
{'realname': 'Kay Sievers', 'disable_mail': 0, 'userid': 315902, 'showmybugslink': 1, 'disabledtext': '', 'login_name': 'kay@...'}
{'realname': 'Toshi', 'disable_mail': 0, 'userid': 294739, 'showmybugslink': 1, 'disabledtext': '', 'login_name': 'reykvid@...'}
"""

Expected results:
It would be nice if the output was the one provided by the 0.6.0 version.

Additional info:
Comment 1 Cole Robinson 2012-12-27 22:16:31 EST
I think this is something that changed on the rhbugzilla side, though I wasn't really involved with python-bugzilla at 0.6.0 time.

You should be able to still fetch that info with

bz._proxy.User.get({"ids": [<userid value from longdesc>]})

What extra bits of info do you need there? Have you worked around it somehow?
Comment 2 Cole Robinson 2013-01-14 18:56:27 EST
Closing, if this is still important to you, please reopen with the info requested in comment #1

Note You need to log in before you can comment on or make changes to this bug.